Bug 124126 - Incorrect mouse cursor with Bluecurve Window Decoration in KDE
Incorrect mouse cursor with Bluecurve Window Decoration in KDE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 07:02 EDT by Ian Chapman
Modified: 2009-01-09 01:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:50:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2004-05-24 07:02:28 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
This problem only seems to appear under KDE when using the Bluecurve 
Window Decoration (default). 

1. Placing the mouse cursor in the absolute top right hand corner of 
the window changes the cursor into resize mode as expected. However 
if you then move the mouse cursor over the close widget, the mouse 
cursor does not revert back to normal but instead remains as the 
resize cursor.

2. You cannot resize the window from the absolute top left hand 
corner. Whatever you do it only opens the window menu.

Version-Release number of selected component (if applicable):
redhat-artwork-0.96-1

How reproducible:
Always

Steps to Reproduce:
1. Use KDE.
2. Ensure KDE is configured for BlueCurve window decorations
3. Move Mouse as per description.
    

Additional info:

This is a vanilla installation of Fedora Core 2 with the latest 
updates applied.
Comment 1 Matthew Miller 2005-04-26 12:03:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ian Chapman 2005-05-16 10:44:44 EDT
This bug still exists in redhat-artwork-0.122-9, vanilla version of FC4 Test 3 
with updates applied.
Comment 3 Matthias Clasen 2006-11-27 00:04:42 EST
Sounds like a window manager issue to me.
Comment 4 Christian Iseli 2007-01-22 06:01:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Ian Chapman 2007-01-22 13:28:28 EST
If it is a window manager issue, it does not affect any other window decoration 
other than bluecurve. The issue still exists. I'd attach a screenshot, but the 
screenshot doesn't capture the mouse pointer, perhaps because it's a hardware 
cursor.

Comment 6 lexual 2007-04-10 19:48:32 EDT
Can confirm for FC6.
Comment 7 lexual 2008-03-18 05:31:29 EDT
Is this still happening with later fedora releases?
Comment 8 Ian Chapman 2008-03-18 07:16:02 EDT
Yes this still occurs with the bluecurve theme in F8.

bluecurve-kde-theme.i386-1.0.0-1.fc8
bluecurve-kdm-theme.noarch-1.0.0-1.fc8
Comment 9 Bug Zapper 2008-11-26 01:47:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:50:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.